From: "Eli Schwartz" <eschwartz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jaraco-collections/
Date: Mon, 16 Sep 2024 21:10:24 +0000 (UTC) [thread overview]
Message-ID: <1726520942.50af816bf27c562dbae7121f82ad416daf14d49e.eschwartz@gentoo> (raw)
commit: 50af816bf27c562dbae7121f82ad416daf14d49e
Author: Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 16 20:55:00 2024 +0000
Commit: Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Mon Sep 16 21:09:02 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50af816b
dev-python/jaraco-collections: force the backend to flit
It is now a dependency of setuptools, which means we cannot use
setuptools to build it or we get a dependency cycle. Similar issue with
a lot of jaraco-* packages already.
```
* Error: circular dependencies:
(dev-python/jaraco-collections-5.1.0:0/0::gentoo, ebuild scheduled for merge) depends on
(dev-python/setuptools-75.0.0:0/0::gentoo, ebuild scheduled for merge) (buildtime)
(dev-python/jaraco-collections-5.1.0:0/0::gentoo, ebuild scheduled for merge) (buildtime)
```
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>
.../jaraco-collections/jaraco-collections-5.1.0.ebuild | 16 ++++++++++++----
1 file changed, 12 insertions(+), 4 deletions(-)
diff --git a/dev-python/jaraco-collections/jaraco-collections-5.1.0.ebuild b/dev-python/jaraco-collections/jaraco-collections-5.1.0.ebuild
index b0ae55d09019..6b2e5a0f229c 100644
--- a/dev-python/jaraco-collections/jaraco-collections-5.1.0.ebuild
+++ b/dev-python/jaraco-collections/jaraco-collections-5.1.0.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_USE_PEP517=flit
PYPI_PN=${PN/-/.}
PYTHON_COMPAT=( python3_{10..13} pypy3 )
@@ -22,12 +22,20 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv
RDEPEND="
dev-python/jaraco-text[${PYTHON_USEDEP}]
"
-BDEPEND="
- >=dev-python/setuptools-scm-1.15.0[${PYTHON_USEDEP}]
-"
distutils_enable_tests pytest
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ sed -i -e \
+ 's/build-backend = .*/build-backend = "flit_core.buildapi"/' \
+ -e '/^name = /a\' -e "version = \"${PV}\"" \
+ -e '/^dynamic =/d' \
+ pyproject.toml || die
+}
+
python_test() {
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
epytest
next reply other threads:[~2024-09-16 21:10 UTC|newest]
Thread overview: 108+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-09-16 21:10 Eli Schwartz [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-15 7:12 [gentoo-commits] repo/gentoo:master commit in: dev-python/jaraco-collections/ Michał Górny
2024-10-16 17:53 Michał Górny
2024-09-28 11:31 Michał Górny
2024-09-28 11:05 Arthur Zamarin
2024-09-19 12:38 Fabian Groffen
2024-08-26 4:23 Michał Górny
2024-07-11 20:55 James Le Cuirot
2024-06-29 15:54 Andreas K. Hüttel
2024-05-11 17:02 Michał Górny
2024-04-27 11:01 Michał Górny
2024-04-27 11:00 Michał Górny
2024-04-13 5:35 Arthur Zamarin
2024-04-07 6:09 Arthur Zamarin
2024-04-06 10:07 Arthur Zamarin
2024-03-21 17:00 Arthur Zamarin
2023-12-30 14:40 Michał Górny
2023-12-30 14:25 Arthur Zamarin
2023-12-10 6:45 Michał Górny
2023-07-05 8:14 Michał Górny
2023-07-05 8:01 Arthur Zamarin
2023-06-26 4:51 Michał Górny
2023-06-02 8:28 Michał Górny
2023-05-27 9:44 Arthur Zamarin
2023-04-28 15:41 Michał Górny
2023-04-28 14:38 Arthur Zamarin
2023-04-07 4:19 Michał Górny
2023-03-29 6:03 Michał Górny
2023-03-29 6:03 Michał Górny
2023-03-23 16:36 Michał Górny
2023-03-21 16:45 Michał Górny
2023-02-12 19:05 Michał Górny
2023-02-07 9:26 Michał Górny
2023-01-03 2:53 WANG Xuerui
2022-12-25 17:33 Michał Górny
2022-11-25 13:58 Michał Górny
2022-11-25 13:52 Arthur Zamarin
2022-11-18 15:14 Arthur Zamarin
2022-11-07 5:54 Michał Górny
2022-10-30 6:39 Michał Górny
2022-10-23 18:37 Arthur Zamarin
2022-10-22 14:54 Michał Górny
2022-09-10 18:28 Arthur Zamarin
2022-09-08 5:19 Sam James
2022-08-29 10:37 Michał Górny
2022-08-17 19:40 Arthur Zamarin
2022-08-17 18:45 Sam James
2022-07-14 18:34 Arthur Zamarin
2022-06-16 9:23 Michał Górny
2022-06-16 9:10 Jakov Smolić
2022-05-13 16:31 Arthur Zamarin
2022-05-13 16:31 Arthur Zamarin
2022-02-03 21:34 Michał Górny
2022-02-03 21:01 Arthur Zamarin
2022-01-31 11:07 Michał Górny
2022-01-06 19:05 Arthur Zamarin
2022-01-03 17:49 Arthur Zamarin
2021-10-03 19:27 Michał Górny
2021-10-03 18:48 Sam James
2021-09-02 17:05 Marek Szuba
2021-08-12 5:21 Michał Górny
2021-05-06 14:44 Michał Górny
2021-05-06 11:03 Michał Górny
2021-05-06 9:57 Sam James
2021-03-29 7:46 Michał Górny
2021-03-15 8:45 Michał Górny
2021-03-15 0:07 Sam James
2021-03-02 8:25 Michał Górny
2021-03-02 1:36 Sam James
2021-03-02 1:01 Michał Górny
2021-02-11 8:40 Michał Górny
2020-12-28 8:36 Michał Górny
2020-09-21 15:30 Michał Górny
2020-07-13 23:13 Sam James
2020-07-06 11:57 Michał Górny
2020-07-05 15:16 Michał Górny
2020-06-29 13:40 Agostino Sarubbo
2020-06-22 19:05 Mart Raudsepp
2020-06-21 11:18 Michał Górny
2020-06-21 11:18 Michał Górny
2020-06-04 14:06 Michał Górny
2020-05-30 20:33 Sergei Trofimovich
2020-05-30 16:20 Michał Górny
2020-04-28 19:23 Mart Raudsepp
2020-03-31 7:38 Georgy Yakovlev
2020-03-26 22:39 Patrick McLean
2020-02-05 15:29 Michał Górny
2019-12-31 14:14 Louis Sautier
2019-12-31 14:14 Louis Sautier
2019-10-14 13:19 Louis Sautier
2019-07-03 23:36 Louis Sautier
2018-10-18 19:04 Louis Sautier
2018-10-18 19:04 Louis Sautier
2018-07-28 22:50 Louis Sautier
2018-06-25 10:40 Jason Zaman
2018-06-24 0:05 Louis Sautier
2018-06-24 0:05 Louis Sautier
2017-06-17 17:24 Agostino Sarubbo
2017-06-17 15:36 Agostino Sarubbo
2016-09-16 5:37 Göktürk Yüksek
2016-09-16 5:37 Göktürk Yüksek
2016-08-07 20:43 Patrice Clement
2016-08-07 20:43 Patrice Clement
2016-07-17 1:03 Göktürk Yüksek
2016-07-17 1:03 Göktürk Yüksek
2016-02-19 11:05 Ian Delaney
2016-02-19 11:05 Ian Delaney
2015-12-30 9:52 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1726520942.50af816bf27c562dbae7121f82ad416daf14d49e.eschwartz@gentoo \
--to=eschwartz@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox